# -*- coding: utf-8 -*-

from django.db import models
from django.utils.translation import ugettext_lazy as _
from django.utils.encoding import python_2_unicode_compatible

from cms.models import CMSPlugin


@python_2_unicode_compatible
class TopBanner(CMSPlugin):
    css_classes = models.CharField(
        _('CSS classes'),
        max_length=200,
        blank=True,
        help_text=_('A list of CSS classes to apply to the placeholder'),
    )
    title = models.CharField(
        _('Title'),
        max_length=1000,
    )
    subtitle = models.CharField(
        _('Subtitle'),
        blank=True,
        max_length=1000,
    )
    body = models.TextField(
        _('Body'),
        blank=True,
    )
    background = models.ImageField(
        _('Background image'),
        upload_to='topbanner/%y/%m',
        blank=True,
    )
    foreground = models.ImageField(
        _('Foreground image'),
        upload_to='topbanner/%y/%m',
        blank=True,
    )
    extra_image = models.ImageField(
        _('Extra image'),
        upload_to='topbanner/%y/%m',
        blank=True,
    )

    def __str__(self):
        return self.title

    class Meta:
        verbose_name = _('Top banner')
        verbose_name_plural = _('Top banners')
